org.apache.activemq.artemis.jms.server.config

## Interface JMSConfiguration

- All Known Implementing Classes:
    FileJMSConfiguration, JMSConfigurationImpl

      public interface JMSConfiguration

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `URL` | `getConfigurationUrl()`
    `List<ConnectionFactoryConfiguration>` | `getConnectionFactoryConfigurations()`
    `String` | `getDomain()`
    `List<JMSQueueConfiguration>` | `getQueueConfigurations()`
    `List<TopicConfiguration>` | `getTopicConfigurations()`
    `JMSConfiguration` | `setConfigurationUrl(URL configurationUrl)`
    `JMSConfiguration` | `setConnectionFactoryConfigurations(List<ConnectionFactoryConfiguration> connectionFactoryConfigurations)`
    `JMSConfiguration` | `setDomain(String domain)`
    `JMSConfiguration` | `setQueueConfigurations(List<JMSQueueConfiguration> queueConfigurations)`
    `JMSConfiguration` | `setTopicConfigurations(List<TopicConfiguration> topicConfigurations)`

- - ### Method Detail

    - #### getQueueConfigurations

          List<JMSQueueConfiguration> getQueueConfigurations()

    - #### setQueueConfigurations

          JMSConfiguration setQueueConfigurations(List<JMSQueueConfiguration> queueConfigurations)

    - #### getTopicConfigurations

          List<TopicConfiguration> getTopicConfigurations()

    - #### setTopicConfigurations

          JMSConfiguration setTopicConfigurations(List<TopicConfiguration> topicConfigurations)

    - #### getConnectionFactoryConfigurations

          List<ConnectionFactoryConfiguration> getConnectionFactoryConfigurations()

    - #### setConnectionFactoryConfigurations

          JMSConfiguration setConnectionFactoryConfigurations(List<ConnectionFactoryConfiguration> connectionFactoryConfigurations)

    - #### getDomain

          String getDomain()

    - #### setDomain

          JMSConfiguration setDomain(String domain)

    - #### getConfigurationUrl

          URL getConfigurationUrl()

    - #### setConfigurationUrl

          JMSConfiguration setConfigurationUrl(URL configurationUrl)

Copyright © 2018 The Apache Software Foundation. All rights reserved.